#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    ios::sync_with_stdio(false);
    cin.tie(0);
    
    int n,k;
    cin>>n>>k;

    int niz[n];

    for (int i=0;i<n;i++)
    {
        cin>>niz[i];
    }

    sort(niz,niz+n);

    int donja_granica=0;
    int gornja_granica=n-1;

    while (donja_granica!=gornja_granica)
    {
        if (gornja_granica-donja_granica==1)
        {
            if (niz[donja_granica]<niz[gornja_granica])
            {
                niz[gornja_granica]=niz[gornja_granica]-niz[donja_granica];
                donja_granica++;
            }

            else
            {
                niz[donja_granica]=niz[donja_granica]-niz[gornja_granica];
                gornja_granica--;
            }
        }

        else
        {
            if (niz[donja_granica]<niz[gornja_granica])
            {
                niz[donja_granica]=niz[donja_granica]-niz[gornja_granica];
                gornja_granica--;
            }

            else
            {
                niz[gornja_granica]=niz[gornja_granica]-niz[donja_granica];
                donja_granica++;
            }
        }
    }

    cout<<niz[donja_granica];
}